[Wconversion] Suppress warnings

Bug: 56258
Bug: 58162
Change-Id: Ic93691efb819eeedaa202fa89f897d2d5cf6044d
Reviewed-on: https://fuchsia-review.googlesource.com/c/third_party/openssl-ecjpake/+/425969
Reviewed-by: Shai Barack <shayba@google.com>
Reviewed-by: Petr Hosek <phosek@google.com>
1 file changed
tree: dc6d56b695b79023f8adf909e3e3331d3d9f1542
  1. .gitignore
  2. BUILD.gn
  3. CONTRIBUTING.md
  4. LICENSE
  5. Makefile.am
  6. README.md
  7. configure.ac
  8. ecjpake.c
  9. ecjpake_err.c
  10. ecjpaketest.c
  11. openssl/
README.md

openssl-ecjpake

An implementation of the J-PAKE cryptographic protocol based on elliptic curves. J-PAKE is a key agreement protocol that allows parties to establish secure communications by means of a shared, low-entropy password/secret.

This implementation is built for use with OpenSSL, and makes use of OpenSSL‘s public EC crypto APIs. It can also be with Google’s BoringSSL.

Building

Clone the openssl-ecjpake repo:

     $ git clone https://github.com/openweave/openssl-ecjpake
     $ cd openssl-ecjpake

Build using the supplied automake makefile:

     $ autoreconf -ivf
     $ ./configure
     $ make